MODULE_USB_DRIVER(9)

NAME
module_usb_driver - Helper macro for registering a USB driver

SYNOPSIS

module_usb_driver(__usb_driver);

ARGUMENTS

__usb_driver
    usb_driver struct

DESCRIPTION

Helper macro for USB drivers which do not do anything special in module init/exit. This eliminates a lot of boilerplate. Each module may only use this macro once, and calling it replaces module_init and module_exit

COPYRIGHT